FOBI {JADE} | R Documentation

## Function to perform FOBI for ICA

### Description

The FOBI method for independent component analysis (ICA). We assume that all components have different kurtosis values.

### Usage

    FOBI(X, na.action = na.fail)

### Arguments

`X` | a numeric matrix.
`na.action` | A function which indicates what should happen when the data contain 'NA's. Default is to fail.

### Value

A list with class 'bss' containing the following components:

`W` | estimated unmixing matrix.
`EV` | eigenvectors of autocovariance matrix.
`Xmu` | the original mean of the data.
`S` | estimated sources as time series objected standardized to have mean 0 and unit variances.

### Note

More general is the function `ics` in the ICS package.

### Author(s)

Klaus Nordhausen

### References

Cardoso, J.-F. (1989), Source separation using higher order moments, in Proceedings of IEEE International Conference on Accoustics, Speech and Signal Processing, 2109–2112.

Miettinen, J., Taskinen S., Nordhausen, K. and Oja, H. (2015), Fourth Moments and Independent Component Analysis, Statistical Science, 30, 372–390.

Miettinen, J., Nordhausen, K. and Taskinen, S. (2017), Blind Source Separation Based on Joint Diagonalization in R: The Packages JADE and BSSasymp, Journal of Statistical Software, 76, 1–31, <doi:10.18637/jss.v076.i02>.

### See Also

`ics`

### Examples

    # 3 source and 3 signals

    S <- cbind(rt(1000, 4), rnorm(1000), runif(1000))
    A <- matrix(rnorm(9), ncol = 3)
    X <- S %*% t(A)
    res<-FOBI(X)
    MD(coef(res),A)

[Package JADE version 2.0-2 Index]